# -*- coding: utf-8 -*-
from setuphelpers import *


package_name = "spotify-client"


def install():
    # Installing the package
    print("Installing: %s" % package_name)
    if isfile("/etc/apt/trusted.gpg.d/spotify.gpg"):
        remove_file("/etc/apt/trusted.gpg.d/spotify.gpg")
    if isfile("/etc/apt/sources.list.d/spotify.list"):
        remove_file("/etc/apt/sources.list.d/spotify.list")
    install_apt("apt-transport-https ca-certificates gnupg libc6")
    run("cat pubkey_7A3A762FAFD4A51F.gpg | sudo gpg --dearmor --yes -o /etc/apt/trusted.gpg.d/spotify.gpg")
    run('echo "deb http://repository.spotify.com stable non-free" | sudo tee /etc/apt/sources.list.d/spotify.list')
    try:
        install_apt(package_name)
    except:
        install_required_dependencies_apt()
        install_apt(package_name)


def uninstall():
    # Uninstalling the package
    print("Uninstalling: %s" % package_name)
    uninstall_apt(package_name)
